org.vertx.java.core.file.impl

## Class PathAdjuster

- java.lang.Object
- - org.vertx.java.core.file.impl.PathAdjuster

    public class PathAdjuster
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PathAdjuster()`

### Method Summary

Methods
`static java.nio.file.Path` `adjust(java.nio.file.Path path)`
`static java.lang.String` `adjust(java.lang.String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathAdjuster

    public PathAdjuster()

### Method Detail

#### adjust

    public static java.nio.file.Path adjust(java.nio.file.Path path)

#### adjust

    public static java.lang.String adjust(java.lang.String path)